summaryrefslogtreecommitdiffstats
path: root/libraries/libisofs
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 22:54:07 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:07 +0200
commit2bd572d89d224af6f609e68ac083896ec6413d09 (patch)
tree140e3bf5f537e86209c44dd516ea0a45ef2d3794 /libraries/libisofs
parente655224f6b1ae3f91e2fb53407cee8fc6e71a3b2 (diff)
downloadslackbuilds-2bd572d89d224af6f609e68ac083896ec6413d09.tar.gz
slackbuilds-2bd572d89d224af6f609e68ac083896ec6413d09.tar.xz
libraries/libisofs: Added to 12.1 repository
Diffstat (limited to 'libraries/libisofs')
-rw-r--r--libraries/libisofs/README7
-rw-r--r--libraries/libisofs/libisofs.SlackBuild80
-rw-r--r--libraries/libisofs/libisofs.info8
-rw-r--r--libraries/libisofs/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/libraries/libisofs/README b/libraries/libisofs/README
new file mode 100644
index 0000000000..fbb470e23a
--- /dev/null
+++ b/libraries/libisofs/README
@@ -0,0 +1,7 @@
+libisofs is a library to create an ISO-9660 filesystem, and
+supports extensions like RockRidge or Joliet. It is also a full
+featured ISO-9660 editor, allowing you to modify an ISO image or
+multisession disc, including file addition/removal, change of
+file names and attributes, etcetera.
+
+This requires libburn (also available at SlackBuilds.org).
diff --git a/libraries/libisofs/libisofs.SlackBuild b/libraries/libisofs/libisofs.SlackBuild
new file mode 100644
index 0000000000..e922c4deeb
--- /dev/null
+++ b/libraries/libisofs/libisofs.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for libisofs
+
+# Copyright 2008 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libisofs
+VERSION=0.6.10
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep -e "executable" -e "shared object" | grep ELF | \
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING COPYRIGHT ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libisofs/libisofs.info b/libraries/libisofs/libisofs.info
new file mode 100644
index 0000000000..1fd7c3ff86
--- /dev/null
+++ b/libraries/libisofs/libisofs.info
@@ -0,0 +1,8 @@
+PRGNAM="libisofs"
+VERSION="0.6.10"
+HOMEPAGE="http://libburnia-project.org/wiki/Libisofs"
+DOWNLOAD="http://files.libburnia-project.org/releases/libisofs-0.6.10.tar.gz"
+MD5SUM="678fdea08d97f1d77ea73dc966096b48"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="dsomero"
diff --git a/libraries/libisofs/slack-desc b/libraries/libisofs/slack-desc
new file mode 100644
index 0000000000..9f5cb5d7e6
--- /dev/null
+++ b/libraries/libisofs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+libisofs: libisofs (library for creating ISO-9660 filesystems)
+libisofs:
+libisofs: libisofs is a library to create an ISO-9660 filesystem, and
+libisofs: supports extensions like RockRidge or Joliet. It is also a full
+libisofs: featured ISO-9660 editor, allowing you to modify an ISO image or
+libisofs: multisession disc, including file addition/removal, change of
+libisofs: file names and attributes, etcetera.
+libisofs:
+libisofs: Homepage: http://libburnia-project.org/wiki/Libisofs
+libisofs:
+libisofs: